Home_intro

intro story DELWAQ

DELWAQ

DELWAQ is the engine of the D-Water Quality and D-Ecology programmes of the Delft3D suite. It is based on a rich library from which relevant substances and processes can be selected to quickly put water and sediment quality models together.

The processes library covers many aspects of water quality and ecology, from basic tracers, dissolved oxygen, nutrients, organic matter, inorganic suspended matter, heavy metals, bacteria and organic micro-pollutants, to complex algae and macrophyte dynamics. High performance solvers enable the simulation of long periods, often required to capture the full cycles of the processes being modelled.

The finite volume approach underlying DELWAQ allows it to be coupled to both the structured grid hydrodynamics of the current Delft3D-FLOW engine and the upcoming D-Flow Flexible Mesh engine (1D-2D-3D) of the Delft3D Flexible Mesh Suite (or even other models such as TELEMAC).

'DELWAQ in open source' is our invitation to all leading experts to collaborate in further development and research in the field of water quality, ecology and morphology using Delft3D. Feel free to post your DELWAQ related questions or comments in this dedicated forum space. If you are new to DELWAQ, the tutorial (in the user manual) is a good place to start. A list of DELWAQ related publications is available here.

** PLEASE TAG YOUR POST! **

 

 

Sub groups
D-Flow Flexible Mesh
DELWAQ

Cohesive sediments & muddy systems

 


Message Boards

an compiling error (/usr/bin/ld can't find -lfl)

U
Daijiro Kobashi, modified 9 Years ago.

an compiling error (/usr/bin/ld can't find -lfl)

Dear all,

I have encountered the following error while making the Delft3D program (via make command) (the line number 679).
The configure went through successfully prior to this error.

Appear that one of the libraries does not link correctly, but not sure which one.
Could someone please point out the library that is either missing or is not linking correctly if that's the case?

The log of my make output is attached.

Thanks in advance.

Sincerely,

DJ

Daijiro Kobashi
Griffith University


679 /usr/bin/ld: cannot find -lfl
680 collect2: ld returned 1 exit status
681 make[5]: *** [libnefis.la] Error 1
682 make[5]: Leaving directory `/home/s2766679/modelling/Delft3D/src/utils_lgpl/nefis/packages/nefis/src_so'
683 make[4]: *** [install-recursive] Error 1
684 make[4]: Leaving directory `/home/s2766679/modelling/Delft3D/src/utils_lgpl/nefis/packages/nefis'
685 make[3]: *** [install-recursive] Error 1
686 make[3]: Leaving directory `/home/s2766679/modelling/Delft3D/src/utils_lgpl/nefis/packages'
687 make[2]: *** [install-recursive] Error 1
688 make[2]: Leaving directory `/home/s2766679/modelling/Delft3D/src/utils_lgpl/nefis'
689 make[1]: *** [install-recursive] Error 1
690 make[1]: Leaving directory `/home/s2766679/modelling/Delft3D/src/utils_lgpl'
691 make: *** [install-recursive] Error 1

Attachments:

Adri Mourits, modified 9 Years ago.

RE: an compiling error (/usr/bin/ld can't find -lfl)

Yoda Posts: 1221 Join Date: 1/3/11 Recent Posts
Hi DJ,

-lfl is used by libtool. What version of libtool do you use (execute "libtool --version")? We have 1.5.6
Is the file "libfl.a" on your system, for example in "/usr/lib"?
As a work around: it seems that -lfl is only used for nefis_so and vs. You don't need them to build Delft3D-FLOW or -WAVE. You can remove them temporary from "src\utils_lgpl\nefis\packages\nefis_version_number\Makefile.am", "src\utils_lgpl\nefis\packages\nefis\Makefile.am" and "src\tools_gpl\Makefile.am".

Regards,

Adri
Fedor Baart, modified 9 Years ago.

RE: an compiling error (/usr/bin/ld can't find -lfl)

Padawan Posts: 44 Join Date: 3/2/11 Recent Posts
Hi,

I think libfl.a is provided by flex.
Depending on your package manager you can install it by doing:

yum install fles #redhat/fedora
apt-get install flex #debian/ubuntu
emerge flex #gentoo
port install flex #macports

Cheers,

Fedor

Adri Mourits:


-lfl is used by libtool.
U
Daijiro Kobashi, modified 9 Years ago.

RE: an compiling error (/usr/bin/ld can't find -lfl) (SOLVED) (Answer)

Thanks for your input, Adri and Fedor

The following worked!!

>>apt-get install flex #debian/ubuntu

But I've got another error related to mpi compiling (dfinitmpi.f90).
I will open a new thread on this as this is a separate issue.

Getting closer. I appreciate your help.

Sincerely,

DJ

Daijiro Kobashi
Griffith University
Fedor Baart, modified 9 Years ago.

RE: an compiling error (/usr/bin/ld can't find -lfl)

Padawan Posts: 44 Join Date: 3/2/11 Recent Posts
Hi Adri,

You might want to replace the explicit -lfl (which works if flex is installed) by the autoconf macro AC_PROG_LEX (in configure.ac). That way it will automatically work for people who have lex (-ll) instead of flex (-lfl), or give an error if not installed.

Cheers,

Fedor


Adri Mourits:
You can remove them temporary from "src\utils_lgpl\nefis\packages\nefis_version_number\Makefile.am", "src\utils_lgpl\nefis\packages\nefis\Makefile.am" and "src\tools_gpl\Makefile.am".